Subject: Re: [PATCH v2 net-next] net: phy: icplus: call phy_restore_page() when phy_select_page() fails

From: Dan Carpenter <[email-masked]>
Date: Fri, 19 Feb 2021 14:09:14 +0300

On Fri, Feb 19, 2021 at 11:46:23AM +0100, Michael Walle wrote:
> Am 2021-02-19 11:10, schrieb Dan Carpenter:
> > The comments to phy_select_page() say that "phy_restore_page() must
> > always be called after this, irrespective of success or failure of this
> > call."  If we don't call phy_restore_page() then we are still holding
> > the phy_lock_mdio_bus() so it eventually leads to a dead lock.
> > 
> > Fixes: 32ab60e53920 ("net: phy: icplus: add MDI/MDIX support for
> > IP101A/G")
> > Fixes: f9bc51e6cce2 ("net: phy: icplus: fix paged register access")
> > Signed-off-by: Dan Carpenter <[email-masked]>
> 
> Reviewed-by: Michael Walle <[email-masked]>
> 
> I assume, this has to go through "net" if the merge window is closed, no?

It applies to net-next and not to net.  I expect that all of net-next
will be merged into net soon enough, but as of a couple hours ago it
only applied to net-next.

regards,
dan carpenter